%define major           0
%define libname         %mklibname sqlitecpp %{major}
%define develname       %mklibname sqlitecpp -d

%undefine __cmake_in_source_build
%global richname SQLiteCpp

Name: sqlitecpp
Version: 3.1.1
Release: %mkrel 2

License: MIT
Summary: Smart and easy to use C++ SQLite3 wrapper
URL: https://github.com/SRombauts/%{richname}
Source0: %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Group: System/Libraries

BuildRequires: pkgconfig(sqlite3)
BuildRequires: gtest-devel
BuildRequires: gmock-devel
BuildRequires: ninja-build
BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: gcc

%description
SQLiteC++ (SQLiteCpp) is a smart and easy to use C++ SQLite3 wrapper.

SQLiteC++ offers an encapsulation around the native C APIs of SQLite,
with a few intuitive and well documented C++ classes.

%package -n %{libname}
Summary: %{summary}
Provides: %{name} =  %{?epoch:%{epoch}:}%{version}-%{release}

%description -n %{libname}
SQLiteC++ (SQLiteCpp) is a smart and easy to use C++ SQLite3 wrapper.

SQLiteC++ offers an encapsulation around the native C APIs of SQLite,
with a few intuitive and well documented C++ classes.

%package -n %{develname}
Summary: Development files for %{name}
Requires: %{libname} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides: %{name}-devel = %{?epoch:%{epoch}:}%{version}-%{release}

%description -n %{develname}
%{summary}.

%prep
%autosetup -n %{richname}-%{version} -p1

# Fixing W: wrong-file-end-of-line-encoding...
sed -e "s,\r,," -i README.md

# Removing bundled libraries...
rm -rf {sqlite3,googletest}

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DSQLITECPP_INTERNAL_SQLITE=OFF \
    -DSQLITECPP_BUILD_TESTS=ON \
    -DSQLITECPP_BUILD_EXAMPLES=OFF
%cmake_build

%check
%ctest

%install
%cmake_install

%files -n %{libname}
%doc README.md CHANGELOG.md
%license LICENSE.txt
%{_libdir}/lib%{richname}.so.0*

%files -n %{develname}
%{_includedir}/%{richname}
%{_libdir}/cmake/%{richname}
%{_libdir}/lib%{richname}.so


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 3.1.1-2.mga9
+ Revision: 1833013
- Mageia 9 Mass Rebuild

* Thu Oct 29 2020 joequant <joequant> 3.1.1-1.mga8
+ Revision: 1640509
- update to 3.1.1

* Sat Aug 01 2020 joequant <joequant> 3.0.0-1.mga8
+ Revision: 1610394
- fix sqlite3
- imported package sqlitecpp

